Company logoTrust Center Documentation

Update tenant settings

Partially update tenant settings. When `languages_enabled` is supplied, the API removes the tenant default locale from the stored additional-language list.

PATCH
/api/v1/settings

Partially update tenant settings. When languages_enabled is supplied, the API removes the tenant default locale from the stored additional-language list.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Properties1 <= properties

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/settings" \  -H "Content-Type: application/json" \  -d '{    "languages_enabled": [      "de"    ]  }'
{  "success": true,  "data": {    "ai_enabled": true,    "subscription_enabled": true,    "trusted_by_auto_scroll_enabled": true,    "timezone": "string",    "locale": "en",    "languages_enabled": [      "en"    ]  }}

How is this guide?